native2ascii(1)

NAME
native2ascii - native to ASCII converter

SYNOPSIS
native2ascii [ options ]
[ inputfile [outputfile]]

DESCRIPTION
The Java compiler and other Java tools can only process files that contain Latin-1 or Unicode-encoded (\udddd notation) characters. native2ascii converts files that contain other character encoding into files containing Latin-1 or Unicode-encoded charaters.

If outputfile is omitted, standard output is used for output. In addition, if inputfile is omitted, standard input is used for input.

OPTIONS
The following options are supported:

-encoding encoding_name
    Specifies the encoding name that is used by the conversion procedure. The default encoding is taken from system property file.encoding. The encoding_name string must be one taken from the first column of the table of supported encodings in the Supported Encodings document:

    http://java.sun.com/j2se/1.5/docs/guide/intl/encoding.doc.html

-reverse
    Performs the reverse operation: converts a file with Latin-1 or Unicode-encoded characters to one with native-encoded characters.

J  option
    Pass option to the Java virtual machine, where option is one of the options described on the man page for the java application launcher, java(1). For example, -J-Xms48m sets the startup memory to 48 megabytes. It is a common convention for -J to pass options to the underlying virtual machine.